## purple-protocol-telegram 0.5-1

=== Makefile ===
srcdir=.

CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wextra -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lm  -lcrypto -rdynamic -ggdb
CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
LINK_FLAGS=${LDFLAGS}

CC=arm-linux-gnueabi-gcc

DEP=dep
AUTO=auto
EXE=bin
OBJ=objs
LIB=libs
DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto


PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o
ALL_OBJS=${PLUGIN_OBJECTS}

.SUFFIXES:

.SUFFIXES: .c .h .o

PRPL_NAME=telegram-purple.so
PRPL_LIBNAME=${EXE}/${PRPL_NAME}
all: ${PRPL_LIBNAME}

PLUGIN_DIR_PURPLE=$(shell pkg-config --variable=plugindir purple)
DATA_ROOT_DIR_PURPLE=$(shell pkg-config --variable=datarootdir purple)

include ${srcdir}/Makefile.tl-parser
include ${srcdir}/Makefile.tgl

create_dirs: ${DIR_LIST}
create_dirs_and_headers: ${DIR_LIST} ${AUTO}/auto.c ${AUTO}/auto-header.h ${AUTO}/constants.h

${DIR_LIST}:
	@test -d $@ || mkdir -p $@

DEPENDENCE=$(subst ${OBJ}/,${DEP}/,$(patsubst %.o,%.d,${ALL_OBJS}))
DEPENDENCE_LIST=${DEPENDENCE}
-include ${DEPENDENCE_LIST}


${PLUGIN_OBJECTS}: ${OBJ}/%.o: ${srcdir}/%.c | create_dirs_and_headers
	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<

${PRPL_LIBNAME}: ${PLUGIN_OBJECTS} ${LIB}/libtgl.a | create_dirs
	${CC} -shared -o $@ $^ ${LDFLAGS}



.PHONY: plugin
plugin: $(PRPL_LIBNAME)


.PHONY: strip
strip: $(PRPL_LIBNAME)
	$(STRIP) --strip-unneeded $(PRPL_LIBNAME)

.PHONY: install
# TODO: Find a better place for server.pub
install: $(PRPL_LIBNAME)
	install -D $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
#	install -D tg-server.pub /etc/telegram-purple/server.pub
	install -D tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
	install -D imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
	install -D imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
	install -D imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png

.PHONY: local_install
local_install:
	install -D $(PRPL_LIBNAME) ${HOME}/.purple/plugins/$(PRPL_NAME)

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
#	rm -f /etc/telegram-purple/server.pub
	rm -f $(DESTDIR)/etc/telegram-purple/server.pub
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
	rm -f ${HOME}/.purple/plugins/$(PRPL_NAME)

.PHONY: run
run: install
	pidgin -d | grep 'telegram\|plugin\|proxy'

.PHONY: purge
purge: uninstall
	rm -rf $(HOME)/.telegram-purple

.PHONY: debug
debug: install
	ddd pidgin

clean:
	rm -rf ${DIR_LIST}  *.so *.a *.o telegram config.log config.status $(PRPL_C_OBJS) $(PRPL_LIBNAME) > /dev/null || echo "all clean"

=== debian/changelog ===
purple-protocol-telegram (0.5-1) unstable; urgency=low

  * Initial Maemo release
  * Display incoming photos
  * Respect received user and chat property updates
  * Support changing own profile picture
  * Support adding new contacts
  * Display service messages
  * Works with libpurple proxy settings

 -- Pawel Dajczak <totalizator@gmail.com>  Wed, 17 Dec 2014 12:01:44 +0100

=== debian/control ===
Source: purple-protocol-telegram
Section: user/network
Priority: optional
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev
Standards-Version: 3.7.2
Homepage: https://github.com/majn/telegram-purple

Package: purple-protocol-telegram
Architecture: any
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Installed-Size: 2444
Section: user/network
Priority: optional
Homepage: https://github.com/majn/telegram-purple
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telegram plugin for Pidgin
 Telegram-purple is a Libpurple plugin that adds support for the Telegram messenger. Its still in an early (pre-alpha) development stage, but already provides basic chat functionality and group chats.
 .
 The plugin is based on the library Libtgl, which was written by Vitaly Valtman mail@vysheng.ru and others, see (http://github.com/vysheng/tgl)
 .
 Homepage: https://github.com/majn/telegram-purple
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH3gQaEAE4A/vs
 awAACGlJREFUaN69mmtsHNUVx39nZnb93I0dxwk4dhwXl5amPNySQAhQUKna
 gEBKkZK2SVtBU6IAqgopLe0nPlZVAVXQAKpKRQmlRKFCTek3FMLDCQFCUvIg
 Dnk5QRDb8SP2vmfm9MO+ZvbltWPnSmv9vXtn7jn3/M+55557hRloy/51pkXU
 uVVEblBYAlwBNBZ0mwAOKxwQkV4jxY5dqzuGL3Rsme6DN/7nVHMyKWtEdR0i
 ywFjiq9wgV5V3ZI03Ff2reoavSgK9Lzc32YG3E0G3KfQKJJ/hRdPsU0Az7q2
 8/j7q7u+mBUFbvnbidqJevdRDOM3QG2hwDOkSExU/1B73v39m/d0xWdMgW9s
 /bQbjK2C9mQfSctYjGdImb2msLp31aJjF6xAz8tH70LkRRHCue4CUgrPrFXG
 VN21e+5e/HqlThUd75qX+36l8JqiYVVQVRSFLNYCTHW4yjZHxNh+3av9m6Zl
 gate+mSjiLE5PcO5qc7jCjSaYXqpqm7cc3fnc1UrcPWWI2tU+AeCMVWBZ4le
 Dqo/eO/uzm2TKrDkpYPXGGrsQqRWvN3KWeICBZ6CInHFuH7P99v3l1VgydaD
 QUnIByBXVhZ4Ejx79NpvDw4s/XDDtanSThznUVWuTDuqkvbRKrAWYEpjLYer
 d/qrzXnzHylpgctf2LfQwjqCSIPkp4FJ8UWnl467tnt5dsXOWcB0zd8pNJDR
 XD2z4MNagCe1kPpxzirVY/+HkGFZv/VZoPv5va2WETgF1EmenBThWfKH7jlB
 rr+kno8GYxwaSVZjragTDHR+eGfbkAVgGcZPVLVOABVA00OoR0vNyqZTwL6H
 /TgUNLitI8TKRY18eU4QgOUL6njgrc8RJG21jMBZX/DgejNl/xh40gJwXVkr
 aEZ4z+MiiJbGZB3MiwulFc0ok8Ym0DOvntsXh7j50gYCpj/SpJy801caRgTU
 dX4IPCndf9nfbhh6mkrUqQZXoFF7KMgdi0OsXBRibq1VNtBvOzbG5gMjVS+O
 jm0utEBvUc1zpohG5fAk9AqKcOOljdzRNYelC+qzS3p6J+Mqo5E44foaLDMf
 yT8ZSZCXJT+YqIdSHnqZAedbluIuTUenzE9SBa5Ar6ta6/leZ5jbOsI0BIpz
 xUg8xcBolJZwrU94gEPDCRQt60+FNMLRZZbAFarqUbqMwN55L3hTc9Dkzq4m
 bu8K0xmuKUmPlOMyOBIlkkjR1tJIQ23A9/towuGzSDIzSom/Aqp+rMhXLcd1
 LxMpVNXDEc//XstaIixf2MjKxU3c1BYiaJbOYxQYHY8zNBbDEKG9NUxd0PS9
 WgT6RhPptWKS6OUTAr3MAprynu+f8VI0WthQw6ruZlZ2NdFaF6iYQiZSNmdH
 osQSNpZp0NEaIhgoFl6AwyOxTIgsjl7FONdtrgXamGNDBaf92rw67v36Ala0
 hTANmSSBh5GJGENjcVSVYMCkfV4jAcssEjynwHA8PYmTCu8jVsjSNLHS851R
 z4tBaKmz+Ot3uzGr2IDEkjZnhyMkUg4AdUGTttYQlmHkBPYrIYjAwXPx8g5c
 fnFUQ1XHs7mLN7/JYlCGYkke2XmSN/rHiGYEK9pxuMrAaJTTZ8/nhG+oDdDe
 GvYJL4Ah2U96x/R5NMlw3J5O7jVuqeqoCHMnW/129o+x8/QYpghfaa7jpo4w
 3+lsomtOLeejCQZHYtium1OoqbGG+U0NGOKnS9ba3u8+HkxTLU3b9KA5olSm
 1IglSJ+qfqko7yh054wNHYVDw1EODUd5bv9Zvt0e4mfdTT5rNDXWsKC5oQTX
 pYj76fgf90WgKeRefYaq9nl2zyVpVIleb342TsTOz/ycUA2XNDd4aJKnS6Hw
 kvn+4LlojjredH6y1B5XjhqK9paK3tXm67br8vFwvoh2eug88ZRdMOtSwP2M
 QgiOKgcHo+X3H3h2fPh3f67oO0bQcHcULFuFNY3ibV5BXeiDoVg+fEaT9B79
 gsHxWM5J/bMuOSoZAkdH48QcxyOklsZagFGXhLvDOLZxxQDwfhXFmbKU2jcU
 xVHFddOKpmyHD44P8Mang9iqRVHH8DlwJE1Hzz65CJem1O6D65cMGxmf+Hv1
 BbNiGo2nbI6MJrDJ+8K+kQQPvX2Gtdv7OD2eLHLgrEIfD8VKC6yVKSWuvpjb
 Eyfs5FYgNtXipZdee4eiOQvsH0nyyskIrioHzkVY9dphXj8+XDD76Ri0fyDi
 sah6KhYVKRW1axLbcgp88YubBwV5Zro1cVXlvYEI47bLgdEk/zx5Hscz4ETS
 4eEdJ/j1zpPEHM0JP5F0+DSTA01KI5+F3Kf7fnTtkK8q4YjzBBCZrhJnYyke
 fPcMLxwbw3ZLR6xXjwyx5t+fcGIsHbXeOpNRtOxsl/SHcUsCT5aszHU+s3uT
 Kn9kBpuvopDZZ9aYBj3zGzlwLkok5eS+z/Uqh9Pgl0fX9/ypZGWusSX0lMD/
 ZlKBUtErbrvs/vw8E0m75OLoo5SPXu5HYcfZXLG42/X0u52OYX4ItDBLrapK
 nMcqGTykrn7z+IZr+ysecJx4cMUpVO8B7NlSoJrFMe8PoKituD8tFL7sCU3/
 A8u3o3o/s9yqzL0UdMPxny/975TPyBZt3r0OeB4IcJFaAaWSqtx7auOyl6Z9
 yNexedddgrwIhLmITUTGUNaeuv+61y/4mLX9z73dhphbQXsujvTsVcNZfXrD
 igs/Zs21x9RY1LpnHaJPzGKEOofKw/2Dy7bwmLizctWg46l32gwzsEnR+0pc
 6Jj2VQOFZ001Hj/5wLLZuWpQ7OBvNyvBNYKuA6Z92QORLUY8+MrJh3ouzmWP
 Um3h0++1mKK3iqE3qEr2uk0TEMp0GQdGgcOCHEC01wm4O86sv+GCr9v8H4Mu
 adeSkb/rAAAAAElFTkSuQmCC

## purple-protocol-telegram 0.6-1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 srcdir=.
 
 CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wextra -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
-LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lm  -lcrypto -rdynamic -ggdb
+LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lrt -lm  -lcrypto -rdynamic -ggdb
 CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
 COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
 LINK_FLAGS=${LDFLAGS}
@@ -13,10 +13,9 @@
 EXE=bin
 OBJ=objs
 LIB=libs
-DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto
+DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${DEP}/lodepng ${OBJ}/lodepng
 
-
-PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o
+PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/lodepng/lodepng.o
 ALL_OBJS=${PLUGIN_OBJECTS}
 
 .SUFFIXES:
@@ -45,7 +44,7 @@
 
 
 ${PLUGIN_OBJECTS}: ${OBJ}/%.o: ${srcdir}/%.c | create_dirs_and_headers
-	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<
+	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -I ${srcdir}/lodepng -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<
 
 ${PRPL_LIBNAME}: ${PLUGIN_OBJECTS} ${LIB}/libtgl.a | create_dirs
 	${CC} -shared -o $@ $^ ${LDFLAGS}
@@ -64,7 +63,6 @@
 # TODO: Find a better place for server.pub
 install: $(PRPL_LIBNAME)
 	install -D $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-#	install -D tg-server.pub /etc/telegram-purple/server.pub
 	install -D tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
 	install -D imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
 	install -D imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
@@ -77,7 +75,6 @@
 .PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-#	rm -f /etc/telegram-purple/server.pub
 	rm -f $(DESTDIR)/etc/telegram-purple/server.pub
 	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
 	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png

=== debian/changelog ===
purple-protocol-telegram (0.6-1) unstable; urgency=low

  * [Maemo] Replaced GLib >= 2.28 only functions calls
  * Support for secret chats
  * Receiving geo messages

 -- Pawel Dajczak <totalizator@gmail.com>  Sun, 11 Jan 2015 18:16:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: purple-protocol-telegram
 Architecture: any
 Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Installed-Size: 2444
+Installed-Size: 2512
 Section: user/network
 Priority: optional
 Homepage: https://github.com/majn/telegram-purple

## purple-protocol-telegram 0.6.1-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 srcdir=.
 
-CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -Wall -Wextra -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
+CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DHAVE_CONFIG_H -Wall -Wextra -Wno-deprecated-declarations -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
 LDFLAGS= -L/usr/lib -L/usr/lib   -lpurple -lglib-2.0   -lz -lrt -lm  -lcrypto -rdynamic -ggdb
 CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
 COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
@@ -15,7 +15,7 @@
 LIB=libs
 DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${DEP}/lodepng ${OBJ}/lodepng
 
-PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/lodepng/lodepng.o
+PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/tgp-utils.o ${OBJ}/tgp-chat.o ${OBJ}/lodepng/lodepng.o
 ALL_OBJS=${PLUGIN_OBJECTS}
 
 .SUFFIXES:
@@ -60,17 +60,17 @@
 	$(STRIP) --strip-unneeded $(PRPL_LIBNAME)
 
 .PHONY: install
-# TODO: Find a better place for server.pub
 install: $(PRPL_LIBNAME)
-	install -D $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-	install -D tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
-	install -D imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
-	install -D imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
-	install -D imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
+	mkdir -p $(DESTDIR)/etc/telegram-purple
+	install -Dm 0755 $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
+	install -Dm 0644 tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
+	install -Dm 0644 imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
+	install -Dm 0644 imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
+	install -Dm 0644 imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
 
 .PHONY: local_install
 local_install:
-	install -D $(PRPL_LIBNAME) ${HOME}/.purple/plugins/$(PRPL_NAME)
+	install $(PRPL_LIBNAME) ${HOME}/.purple/plugins/$(PRPL_NAME)
 
 .PHONY: uninstall
 uninstall:
@@ -82,7 +82,7 @@
 	rm -f ${HOME}/.purple/plugins/$(PRPL_NAME)
 
 .PHONY: run
-run: install
+run:
 	pidgin -d | grep 'telegram\|plugin\|proxy'
 
 .PHONY: purge

=== debian/changelog ===
purple-protocol-telegram (0.6.1-1) unstable; urgency=low

  * Fix many stability issues
  * Do not readd left chats on login

 -- Pawel Dajczak <totalizator@gmail.com>  Tue, 10 Feb 2015 14:47:03 +0100

purple-protocol-telegram (0.6-2) unstable; urgency=low

  * Latest version from Git

 -- Pawel Dajczak <totalizator@gmail.com>  Sun, 25 Jan 2015 23:13:06 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/telegram-purple.sgml > telegram-purple.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/telegram-purple.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --sourcedir=debian/tmp --fail-missing


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## purple-protocol-telegram 0.7-1

=== debian/changelog ===
purple-protocol-telegram (0.7-1) unstable; urgency=low

  * Fix HTML escaping issues
  * Support uploads and downloads (with some caveats though):
  * Uploads wont contain the current file name but a generic one
  * Every file is uploaded as a document or picture, so unfortunately no embedded videos and audio (right now)
  * Group chats only support picture uploads since nothing else is supported by the UI

 -- Pawel Dajczak <totalizator@gmail.com>  Thu,  5 Mar 2015 19:56:36 +0100

## purple-protocol-telegram 0.7-2

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 CPPFLAGS= -I/usr/include -I/usr/include -DFLAGS
 COMPILE_FLAGS=${CFLAGS} ${CPPFLAGS}
 LINK_FLAGS=${LDFLAGS}
+DIR_PERM=0755
+FILE_PERM=0644
 
 CC=arm-linux-gnueabi-gcc
 
@@ -15,7 +17,7 @@
 LIB=libs
 DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${DEP}/lodepng ${OBJ}/lodepng
 
-PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/tgp-utils.o ${OBJ}/tgp-chat.o ${OBJ}/lodepng/lodepng.o
+PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/tgp-utils.o ${OBJ}/tgp-chat.o ${OBJ}/tgp-ft.o ${OBJ}/lodepng/lodepng.o
 ALL_OBJS=${PLUGIN_OBJECTS}
 
 .SUFFIXES:
@@ -61,12 +63,16 @@
 
 .PHONY: install
 install: $(PRPL_LIBNAME)
-	mkdir -p $(DESTDIR)/etc/telegram-purple
-	install -Dm 0755 $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
-	install -Dm 0644 tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
-	install -Dm 0644 imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
-	install -Dm 0644 imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
-	install -Dm 0644 imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
+	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(PLUGIN_DIR_PURPLE)
+	install -m $(FILE_PERM) $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
+	mkdir -m $(DIR_PERM) -p $(DESTDIR)/etc/telegram-purple
+	install -m $(FILE_PERM) tg-server.pub $(DESTDIR)/etc/telegram-purple/server.pub
+	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16
+	install -m $(FILE_PERM) imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
+	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22
+	install -m $(FILE_PERM) imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
+	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48
+	install -m $(FILE_PERM) imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
 
 .PHONY: local_install
 local_install:

=== debian/changelog ===
purple-protocol-telegram (0.7-2) unstable; urgency=low

  * Fixed registration of new numbers due to data center IP change

 -- Pawel Dajczak <totalizator@gmail.com>  Thu, 16 Apr 2015 20:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: purple-protocol-telegram
 Architecture: any
 Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Installed-Size: 2512
+Installed-Size: 2692
 Section: user/network
 Priority: optional
 Homepage: https://github.com/majn/telegram-purple

## purple-protocol-telegram 1.2.6-1

=== Makefile ===
# This file is part of telegram-purple
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
#
# Copyright Matthias Jentsch, Vitaly Valtman, Christopher Althaus, Markus Endres 2014-2015

srcdir=.
prefix=/usr
datarootdir=${prefix}/share
localedir=${datarootdir}/locale
gettext_package=telegram-purple

CFLAGS=-Wall -g -O2 -I/usr/include/libpurple -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DHAVE_CONFIG_H -DENABLE_NLS -DLOCALEDIR='"$(localedir)"' -Wall -Wextra -Wno-deprecated-declarations -Wno-unused-parameter -I${srcdir} -I. -fno-strict-aliasing -fPIC
LDFLAGS= -L/usr/lib -L/usr/lib -lssl -lcrypto   -lpurple -lglib-2.0   -lwebp -lz -lrt  -rdynamic -ggdb
DIR_PERM=0755
FILE_PERM=0644

CC=arm-linux-gnueabi-gcc
PKG_CONFIG=/scratchbox/devkits/autotools-legacy/bin/pkg-config
MSGFMT_PATH=/scratchbox/devkits/autotools-legacy/bin/msgfmt

DEP=dep
EXE=bin
OBJ=objs
LIB=libs
DIR_LIST=${DEP} ${EXE} ${OBJ} ${LIB}

PLUGIN_OBJECTS=${OBJ}/tgp-net.o ${OBJ}/tgp-timers.o ${OBJ}/msglog.o ${OBJ}/telegram-base.o ${OBJ}/telegram-purple.o ${OBJ}/tgp-2prpl.o ${OBJ}/tgp-structs.o ${OBJ}/tgp-utils.o ${OBJ}/tgp-chat.o ${OBJ}/tgp-ft.o ${OBJ}/tgp-msg.o ${OBJ}/tgp-request.o ${OBJ}/tgp-blist.o
ALL_OBJS=${PLUGIN_OBJECTS}

ifdef MSGFMT_PATH
LOCALES=$(shell cat po/LINGUAS)
LOCALE_MOS=$(addprefix po/,$(addsuffix .mo,$(LOCALES)))
endif

.SUFFIXES:

.SUFFIXES: .c .h .o

PRPL_NAME=telegram-purple.so
PRPL_LIBNAME=${EXE}/${PRPL_NAME}
all: ${PRPL_LIBNAME} $(LOCALE_MOS)

PLUGIN_DIR_PURPLE=$(shell ${PKG_CONFIG} --variable=plugindir purple)
DATA_ROOT_DIR_PURPLE=$(shell ${PKG_CONFIG} --variable=datarootdir purple)
COPY_ICONS=yes
CRYPTO_FLAG=

create_dirs: ${DIR_LIST}

${DIR_LIST}:
	@test -d $@ || mkdir -p $@

DEPENDENCE=$(subst ${OBJ}/,${DEP}/,$(patsubst %.o,%.d,${ALL_OBJS}))
DEPENDENCE_LIST=${DEPENDENCE}
-include ${DEPENDENCE_LIST}


# The dependency on tgl/libs/libtgl.a ensures that "make -C tgl" was called,
# and most importantly: It ensures that all automatic headers exist.
${PLUGIN_OBJECTS}: ${OBJ}/%.o: ${srcdir}/%.c ${LIB}/libtgl.a | create_dirs
	echo $@ && ${CC} ${CFLAGS} ${CPPFLAGS} -I ${srcdir}/tgl -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<

tgl/Makefile.in:
	@echo "tgl/Makefile.in not found. Maybe you need to 'git submodule update --init --recursive' ?" && exit 1

tgl/Makefile: tgl/Makefile.in
	cd tgl && ./configure -q ${CRYPTO_FLAG} --disable-extf CFLAGS="-Wall -g -O2" LDFLAGS=" -L/usr/lib -L/usr/lib"

tgl/libs/libtgl.a: tgl/Makefile
	+make -C tgl

po/%.mo: po/%.po
	${MSGFMT_PATH} -cf -o $@ $<

${LIB}/libtgl.a: tgl/libs/libtgl.a | create_dirs
	cp $< $@

${PRPL_LIBNAME}: ${PLUGIN_OBJECTS} ${LIB}/libtgl.a | create_dirs
	${CC} -shared -o $@ $^ ${LDFLAGS}

.PHONY: plugin
plugin: $(PRPL_LIBNAME)


.PHONY: strip
strip: $(PRPL_LIBNAME)
	$(STRIP) --strip-unneeded $(PRPL_LIBNAME)

.PHONY: install
install: $(PRPL_LIBNAME) $(LOCALE_MOS)
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(PLUGIN_DIR_PURPLE)
	install -m $(FILE_PERM) $(PRPL_LIBNAME) $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
	mkdir -m $(DIR_PERM) -p $(DESTDIR)/etc/telegram-purple
	install -m $(FILE_PERM) tg-server.tglpub $(DESTDIR)/etc/telegram-purple/server.tglpub
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(datarootdir)/appdata
	install -m $(FILE_PERM) telegram-purple.metainfo.xml $(DESTDIR)$(datarootdir)/appdata/telegram-purple.metainfo.xml
ifeq ($(COPY_ICONS),no)
	@echo "Not copying icons due to configure-option --disable-icons."
	@echo " If you're using Finch, Empathy, or Telepathy, then this is a good idea."
	@echo " If you're using Pidgin, then this is a bad idea."
	@echo " If you're using Adium, read the README.md: You're using the wrong build system!"
else
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16
	install -m $(FILE_PERM) imgs/telegram16.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22
	install -m $(FILE_PERM) imgs/telegram22.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48
	install -m $(FILE_PERM) imgs/telegram48.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
endif
	@for lang in $(LOCALES); do \
		mkdir -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES; \
		echo "installing po/$$lang.mo to $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(gettext_package).mo"; \
		install -m $(FILE_PERM) po/$$lang.mo $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(gettext_package).mo; \
	done

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(PLUGIN_DIR_PURPLE)/$(PRPL_NAME)
	rm -f $(DESTDIR)/etc/telegram-purple/server.pub # TODO: Remove this in later versions
	rm -f $(DESTDIR)/etc/telegram-purple/server.tglpub
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/16/telegram.png
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/22/telegram.png
	rm -f $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/48/telegram.png
	rm -f $(DESTDIR)$(datarootdir)/appdata/telegram-purple.metainfo.xml
# TODO: Delete all installed .mo's, no matter what LINGUAS says.
	@for lang in $(LOCALES); do \
		echo "removing $(localedir)/$$lang/LC_MESSAGES/$(gettext_package).mo"; \
		rm -f $(localedir)/$$lang/LC_MESSAGES/$(gettext_package).mo; \
	done

.PHONY: local_install
local_install:
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(HOME)/.purple/plugins
	install -m $(FILE_PERM) $(PRPL_LIBNAME) $(DESTDIR)$(HOME)/.purple/plugins/$(PRPL_NAME)
# See telegram-base.c, function get_user_pk_path for justification:
	mkdir -m $(DIR_PERM) -p $(DESTDIR)$(HOME)/.purple/telegram-purple
	install -m $(FILE_PERM) tg-server.tglpub $(DESTDIR)$(HOME)/.purple/telegram-purple/server.tglpub

.PHONY: local_uninstall
local_uninstall:
	rm -f $(DESTDIR)$(HOME)/.purple/plugins/$(PRPL_NAME)
	rm -f $(DESTDIR)$(HOME)/.purple/telegram-purple/server.tglpub

.PHONY: run
run:
	pidgin -d | grep 'telegram\|plugin\|proxy'

.PHONY: debug
debug: install
	ddd pidgin

.PHONY: clean-here
clean-here:
	rm -rf ${DIR_LIST} config.log config.status $(PRPL_C_OBJS) $(PRPL_LIBNAME) po/*.mo

.PHONY: clean
clean: clean-here tgl/Makefile
	+make -C tgl clean

=== tgl/Makefile ===
srcdir=.

CFLAGS=-Wall -g -O2
LDFLAGS= -L/usr/lib -L/usr/lib -L/usr/local/lib -L/usr/lib -L/usr/lib  
CPPFLAGS= -I/usr/local/include -I/usr/include -I/usr/include  
DEFS=-DHAVE_CONFIG_H
COMPILE_FLAGS=${CFLAGS} ${CPFLAGS} ${CPPFLAGS} ${DEFS} -Wall -Wextra -Werror -Wno-deprecated-declarations -fno-strict-aliasing -fno-omit-frame-pointer -ggdb -Wno-unused-parameter -fPIC -Wno-implicit-function-declaration

EXTRA_LIBS=-lz -lrt   -lssl -lcrypto  
LOCAL_LDFLAGS=-rdynamic -ggdb ${EXTRA_LIBS}
LINK_FLAGS=${LDFLAGS} ${LOCAL_LDFLAGS}

DEP=dep
AUTO=auto
OBJ=objs
LIB=libs
EXE=bin
DIR_LIST=${DEP} ${DEP}/crypto ${AUTO} ${EXE} ${OBJ} ${OBJ}/crypto ${LIB} ${DEP}/auto ${OBJ}/auto

LIB_LIST=${LIB}/libtgl.a ${LIB}/libtgl.so

TGL_OBJECTS=${OBJ}/mtproto-common.o ${OBJ}/mtproto-client.o ${OBJ}/mtproto-key.o ${OBJ}/queries.o ${OBJ}/structures.o ${OBJ}/binlog.o ${OBJ}/tgl.o ${OBJ}/updates.o ${OBJ}/tg-mime-types.o ${OBJ}/mtproto-utils.o ${OBJ}/crypto/bn_openssl.o ${OBJ}/crypto/bn_altern.o ${OBJ}/crypto/rsa_pem_openssl.o ${OBJ}/crypto/rsa_pem_altern.o ${OBJ}/crypto/md5_openssl.o ${OBJ}/crypto/md5_altern.o ${OBJ}/crypto/sha_openssl.o ${OBJ}/crypto/sha_altern.o ${OBJ}/crypto/aes_openssl.o ${OBJ}/crypto/aes_altern.o 
TGL_OBJECTS_AUTO=${OBJ}/auto/auto-skip.o ${OBJ}/auto/auto-fetch.o ${OBJ}/auto/auto-store.o ${OBJ}/auto/auto-autocomplete.o ${OBJ}/auto/auto-types.o ${OBJ}/auto/auto-fetch-ds.o  ${OBJ}/auto/auto-free-ds.o ${OBJ}/auto/auto-store-ds.o ${OBJ}/auto/auto-print-ds.o
TLD_OBJECTS=${OBJ}/dump-tl-file.o
GENERATE_OBJECTS=${OBJ}/generate.o
COMMON_OBJECTS=${OBJ}/tools.o ${OBJ}/crypto/rand_openssl.o ${OBJ}/crypto/rand_altern.o ${OBJ}/crypto/err_openssl.o ${OBJ}/crypto/err_altern.o
OBJ_C=${GENERATE_OBJECTS} ${COMMON_OBJECTS} ${TGL_OBJECTS} ${TLD_OBJECTS}

DEPENDENCE=$(subst ${OBJ}/,${DEP}/,$(patsubst %.o,%.d,${OBJ_C}))
DEPENDENCE_LIST=${DEPENDENCE}

INCLUDE=-I. -I${srcdir}
CC=gcc

.SUFFIXES:

.SUFFIXES: .c .h .o

all: ${LIB_LIST}
create_dirs_and_headers: ${DIR_LIST}  ${AUTO}/auto-skip.h ${AUTO}/auto-fetch.h ${AUTO}/auto-store.h ${AUTO}/auto-autocomplete.h ${AUTO}/auto-types.h
create_dirs: ${DIR_LIST}
dump-tl: ${EXE}/dump-tl-file

include ${srcdir}/Makefile.tl-parser

${DIR_LIST}:
	@test -d $@ || mkdir -p $@

-include ${DEPENDENCE_LIST}

${TGL_OBJECTS}: ${AUTO}/constants.h ${AUTO}/auto-skip.h ${AUTO}/auto-fetch.h ${AUTO}/auto-store.h ${AUTO}/auto-autocomplete.h ${AUTO}/auto-types.h ${AUTO}/auto-fetch-ds.h ${AUTO}/auto-free-ds.h ${AUTO}/auto-store-ds.h ${AUTO}/auto-print-ds.h

${OBJ_C}: ${OBJ}/%.o: ${srcdir}/%.c | create_dirs
	${CC} ${INCLUDE} ${COMPILE_FLAGS} -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<

${TGL_OBJECTS_AUTO}: ${OBJ}/auto/%.o: ${AUTO}/%.c | create_dirs
	${CC} ${INCLUDE} ${COMPILE_FLAGS} -iquote ${srcdir}/tgl -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<

${LIB}/libtgl.a: ${TGL_OBJECTS} ${COMMON_OBJECTS} ${TGL_OBJECTS_AUTO}
	rm -f $@ && ar ruv $@ $^

${LIB}/libtgl.so: ${TGL_OBJECTS} ${COMMON_OBJECTS} ${TGL_OBJECTS_AUTO}
	${CC} -shared -o $@ $^ ${LINK_FLAGS}

${EXE}/generate: ${GENERATE_OBJECTS} ${COMMON_OBJECTS}
	${CC} ${GENERATE_OBJECTS} ${COMMON_OBJECTS} ${LINK_FLAGS} -o $@

${AUTO}/scheme.tlo: ${AUTO}/scheme.tl ${EXE}/tl-parser
	${EXE}/tl-parser -e $@ ${AUTO}/scheme.tl

${AUTO}/scheme.tl: ${srcdir}/scheme.tl ${srcdir}/encrypted_scheme.tl ${srcdir}/binlog.tl ${srcdir}/mtproto.tl ${srcdir}/append.tl | ${AUTO}
	cat $^ > $@

${AUTO}/scheme2.tl: ${AUTO}/scheme.tl ${EXE}/tl-parser
	${EXE}/tl-parser -E ${AUTO}/scheme.tl 2> $@  || ( cat $@ && rm $@ && false )

${AUTO}/auto.c: ${AUTO}/scheme.tlo ${EXE}/generate
	${EXE}/generate ${AUTO}/scheme.tlo > $@

${AUTO}/auto-%.c: ${AUTO}/scheme.tlo ${EXE}/generate auto/constants.h ${AUTO}/auto-%.h | create_dirs_and_headers
	${EXE}/generate -g $(patsubst ${AUTO}/auto-%.c,%,$@) ${AUTO}/scheme.tlo > $@ || ( rm $@ && false )

${AUTO}/auto-%.h: ${AUTO}/scheme.tlo ${EXE}/generate
	${EXE}/generate -g $(patsubst ${AUTO}/auto-%.h,%-header,$@) ${AUTO}/scheme.tlo > $@ || ( rm $@ && false )


${AUTO}/constants.h: ${AUTO}/scheme2.tl ${srcdir}/gen_constants_h.awk
	awk -f ${srcdir}/gen_constants_h.awk < $< > $@

${EXE}/dump-tl-file: ${OBJ}/auto/auto.o ${TLD_OBJECTS}
	${CC} ${OBJ}/auto/auto.o ${TLD_OBJECTS} ${LINK_FLAGS} -o $@

clean:
	rm -rf ${DIR_LIST}

distclean:
	rm -rf ${DIR_LIST} config.h config.log config.status

mime-types.c: mime.types
	@echo "// DO NOT EDIT! SEE MAKE-TARGET 'gen-mime-types'" > mime-types.c
# xxd is usually packaged with vim-common
	xxd -i mime.types >> mime-types.c

=== debian/changelog ===
purple-protocol-telegram (1.2.6-1) unstable; urgency=low

  * Updated to latest master. Fix crash

 -- Miguel Angel Alvarez <maacruz@gmail.com>  Thu, 3 May 2016 2:20:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,17 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
-
+export DH_OPTIONS
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+BUILDROOT := $(CURDIR)/debian/build
+PATCHDIR := $(CURDIR)/debian/patches
+LIBS := $(BUILDROOT)
 
 CFLAGS = -Wall -g
 
@@ -24,10 +27,17 @@
 	CFLAGS += -O2
 endif
 
+#override_dh_shlibdeps:
+#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+	
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	patch -p1 <$(PATCHDIR)/mtproto-utils.diff
+	patch -p1 <$(PATCHDIR)/portable_endian.diff
+	patch -p1 <$(PATCHDIR)/tgl_makefile.diff
+	patch -p1 <$(PATCHDIR)/tgp-chat.diff
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --disable-gcrypt
 
 
 build: build-stamp
@@ -67,7 +77,7 @@
 	# Add here commands to install the package into debian/telegram-purple.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	dh_install --sourcedir=debian/tmp --fail-missing
+	#dh_install --sourcedir=debian/tmp --fail-missing
 
 
 # Build architecture-independent files here.

## purple-protocol-telegram 1.3.1-3

=== debian/changelog ===
purple-protocol-telegram (1.3.1-3) unstable; urgency=low

  * optify for maemo

 -- Christian Weniger <less_to_space@web.de>  Tue, 27 Feb 2018 16:00:04 +0200

purple-protocol-telegram (1.3.1-2) unstable; urgency=low

  * fixed glib error

 -- Christian Weniger <less_to_space@web.de>  Tue, 27 Feb 2018 10:05:44 +0200

purple-protocol-telegram (1.3.1-1) unstable; urgency=low

  * Updated to latest master

 -- Christian Weniger <less_to_space@web.de>  Mon, 26 Feb 2018 18:00:04 +0200

## purple-protocol-telegram 1.3.1-5

=== debian/changelog ===
purple-protocol-telegram (1.3.1-5) unstable; urgency=low

  * fixed plugin path

 -- Christian Weniger <less_to_space@web.de>  Thu, 8 Mar 2018 17:40:15 +0200

purple-protocol-telegram (1.3.1-4) unstable; urgency=low

  * full optified for maemo (auto)
  * cleaned debian folder

 -- Christian Weniger <less_to_space@web.de>  Wed, 28 Feb 2018 10:36:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: purple-protocol-telegram
 Section: user/network
 Priority: optional
-Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev
+Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev
 Standards-Version: 3.7.2
-Homepage: https://github.com/majn/telegram-purple
 
 Package: purple-protocol-telegram
-Architecture: any
-Maintainer: Pawel Dajczak <totalizator@gmail.com>
-Installed-Size: 2692
+Architecture: armel
+Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
 Section: user/network
 Priority: optional
-Homepage: https://github.com/majn/telegram-purple
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Telegram plugin for Pidgin
  Telegram-purple is a Libpurple plugin that adds support for the Telegram messenger. Its still in an early (pre-alpha) development stage, but already provides basic chat functionality and group chats.

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 	# Add here commands to configure the package.
 	patch -p1 <$(PATCHDIR)/mtproto-utils.diff
 	patch -p1 <$(PATCHDIR)/portable_endian.diff
-	patch -p1 <$(PATCHDIR)/tgl_makefile.diff
-	patch -p1 <$(PATCHDIR)/tgp-chat.diff
+	patch -p1 <$(PATCHDIR)/tgp-msg.diff
+	patch -p1 <$(PATCHDIR)/makefile.diff
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --disable-gcrypt

## purple-protocol-telegram 1.4.1-1

=== debian/changelog ===
purple-protocol-telegram (1.4.1-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Christian Weniger <less_to_space@web.de>  Sat, 2 Mar 2019 23:31:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: optional
 Maintainer: Miguel Angel Alvarez <maacruz@gmail.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, libssl-dev, libglib2.0-dev, libpurple-dev, zlib1g-dev, libwebp-dev, libpng12-dev
 Standards-Version: 3.7.2
 
 Package: purple-protocol-telegram

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 	# Add here commands to configure the package.
 	patch -p1 <$(PATCHDIR)/mtproto-utils.diff
 	patch -p1 <$(PATCHDIR)/portable_endian.diff
-	patch -p1 <$(PATCHDIR)/tgp-msg.diff
 	patch -p1 <$(PATCHDIR)/makefile.diff
+	patch -p1 <$(PATCHDIR)/tgp-utils.diff
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" --disable-gcrypt
